DDPST(3)

SYNOPSIS
SUBROUTINE DDPST (EL, F, FA, H, IMPL, JACOBN, MATDIM, MITER, ML, 8 MU, N, NDE, NQ, SAVE2, T, USERS, Y, YH, YWT, UROUND, NFE, NJE, 8 A, DFDY, FAC, IER, IPVT, SAVE1, ISWFLG, BND, JSTATE)

NAME
ddpst - Subroutine DDPST evaluates the Jacobian matrix of the right hand side of the differential equations.

LIBRARY
SLATEC (SDRIVE)

TYPE
DOUBLE PRECISION (SDPST-S, DDPST-D, CDPST-C)

AUTHOR
Kahaner, D. K., (NIST) National Institute of Standards and Technology Gaithersburg, MD 20899 Sutherland, C. D., (LANL) Mail Stop D466 Los Alamos National Laboratory Los Alamos, NM 87545

DESCRIPTION
If MITER is 1, 2, 4, or 5, the matrix P = I - L(0)*H*Jacobian is stored in DFDY and subjected to LU decomposition, with the results also stored in DFDY.

ROUTINES CALLED
DGBFA, DGEFA, DNRM2

REVISION HISTORY (YYMMDD)
790601 DATE WRITTEN
900329 Initial submission to SLATEC.